Index: modules/system/system.install
===================================================================
RCS file: /cvs/drupal/drupal/modules/system/system.install,v
retrieving revision 1.187
diff -u -r1.187 system.install
--- modules/system/system.install 20 Nov 2007 11:37:05 -0000 1.187
+++ modules/system/system.install 20 Nov 2007 14:26:00 -0000
@@ -96,7 +96,7 @@
// Cron error threshold defaults to two weeks.
$threshold_error = variable_get('cron_threshold_error', 1209600);
// Cron configuration help text.
- $help = $t('Please check the help pages for configuring cron jobs or you can run cron manually.', array('@url' => 'http://drupal.org/cron', '@cron' => url('admin/reports/status/run-cron')));
+ $help = $t('Please check the help pages for configuring cron jobs.', array('@url' => 'http://drupal.org/cron'));
// Determine when cron last ran. If never, use the install time to
// determine the warning or error status.
@@ -112,7 +112,7 @@
if (time() - $cron_last > $threshold_error) {
$severity = REQUIREMENT_ERROR;
}
- else if (time() - $cron_last > $threshold_warning) {
+ else if ($never_run || (time() - $cron_last > $threshold_warning)) {
$severity = REQUIREMENT_WARNING;
}
@@ -120,7 +120,7 @@
// administration page, instead of an error, we display a helpful reminder
// to configure cron jobs.
if ($never_run && $severity != REQUIREMENT_ERROR && $_GET['q'] == 'admin') {
- drupal_set_message($t('Cron has not run.') .' '. $help);
+ drupal_set_message($t('Cron has not run. Please visit the status report for more information.', array('@status' => url('admin/reports/status'))));
}
// Set summary and description based on values determined above.
@@ -140,7 +140,7 @@
'title' => $t('Cron maintenance tasks'),
'severity' => $severity,
'value' => $summary,
- 'description' => $description,
+ 'description' => $description .' '. $t('You can run cron manually.', array('@cron' => url('admin/reports/status/run-cron'))),
);
}